com.microfocus.awm.meta.interfaces

## Interface RActionTool

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RActionToolImpl

      public interface RActionTool
      extends AWMObject

  The relationships of an action descriptor to the tool descriptors form the Tool sequence of an action. A Tool sequence can consist of different tool types.

  The following features are supported:

  - `Target ID`
  - `Parm From Override`
  - `Affected Resource Name`
  - `Seq No`
  - `Tool Enabled Condition`
  See Also:
    `TaurusPackage.getRActionTool()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAffectedResourceName()` Returns the value of the 'Affected Resource Name' attribute.
    `org.eclipse.emf.common.util.EList<RActionParmOverride>` | `getParmFromOverride()` Returns the value of the 'Parm From Override' containment reference list.
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `ToolDescriptor` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `REnabledCondition` | `getToolEnabledCondition()` Returns the value of the 'Tool Enabled Condition' containment reference.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setAffectedResourceName(java.lang.String value)` Sets the value of the '`Affected Resource Name`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetID(ToolDescriptor value)` Sets the value of the '`Target ID`' reference.
    `void` | `setToolEnabledCondition(REnabledCondition value)` Sets the value of the '`Tool Enabled Condition`' containment reference.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          ToolDescriptor getTargetID()

      Returns the value of the 'Target ID' reference. The tool descriptor that should be referenced via this relationship.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(ToolDescriptor)`, `TaurusPackage.getRActionTool_TargetID()`

    - #### setTargetID

          void setTargetID(ToolDescriptor value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getParmFromOverride

          org.eclipse.emf.common.util.EList<RActionParmOverride> getParmFromOverride()

      Returns the value of the 'Parm From Override' containment reference list. The list contents are of type `RActionParmOverride`. Relationship to an input parameter of the referenced tool descriptor. This makes adaptations to the input parameters valid for precisely one action, so that the re-usability of tool descriptors will be increased.
      Returns:
        the value of the 'Parm From Override' containment reference list.
      See Also:
        `TaurusPackage.getRActionTool_ParmFromOverride()`

    - #### setToolEnabledCondition

          void setToolEnabledCondition(REnabledCondition value)

      Sets the value of the '`Tool Enabled Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Tool Enabled Condition' containment reference.
      See Also:
        `getToolEnabledCondition()`

    - #### getAffectedResourceName

          java.lang.String getAffectedResourceName()

      Returns the value of the 'Affected Resource Name' attribute.
      Optionally contains a logical name that was returned by a tool-defined resource operation in a previously executed tool of the same action. The tool will use in this case the specified resource as its context.
      Returns:
        the value of the 'Affected Resource Name' attribute.
      See Also:
        `setAffectedResourceName(String)`, `TaurusPackage.getRActionTool_AffectedResourceName()`

    - #### setAffectedResourceName

          void setAffectedResourceName(java.lang.String value)

      Sets the value of the '`Affected Resource Name`' attribute.
      Parameters:
        `value` - the new value of the 'Affected Resource Name' attribute.
      See Also:
        `getAffectedResourceName()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Sequence number at which the referenced tool should be called up. The tools will be called up one after the other according to their sequence numbers.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRActionTool_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### getToolEnabledCondition

          REnabledCondition getToolEnabledCondition()

      Returns the value of the 'Tool Enabled Condition' containment reference. Relationship to a tool enabled condition by which the conditions can be defined which are checked at run time and which have to be true so that the tool is called.
      Returns:
        the value of the 'Tool Enabled Condition' containment reference.
      See Also:
        `setToolEnabledCondition(REnabledCondition)`, `TaurusPackage.getRActionTool_ToolEnabledCondition()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.